org.keycloak.audit

## Interface Details

-     public interface Details

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_METHOD`
    `static String` | `CODE_ID`
    `static String` | `EMAIL`
    `static String` | `PREVIOUS_EMAIL`
    `static String` | `REDIRECT_URI`
    `static String` | `REFRESH_TOKEN_ID`
    `static String` | `REGISTER_METHOD`
    `static String` | `REMEMBER_ME`
    `static String` | `RESPONSE_TYPE`
    `static String` | `TOKEN_ID`
    `static String` | `UPDATED_EMAIL`
    `static String` | `UPDATED_REFRESH_TOKEN_ID`
    `static String` | `USERNAME`

- - ### Field Detail

    - #### EMAIL

          static final String EMAIL

      See Also:
        Constant Field Values

    - #### PREVIOUS_EMAIL

          static final String PREVIOUS_EMAIL

      See Also:
        Constant Field Values

    - #### UPDATED_EMAIL

          static final String UPDATED_EMAIL

      See Also:
        Constant Field Values

    - #### CODE_ID

          static final String CODE_ID

      See Also:
        Constant Field Values

    - #### REDIRECT_URI

          static final String REDIRECT_URI

      See Also:
        Constant Field Values

    - #### RESPONSE_TYPE

          static final String RESPONSE_TYPE

      See Also:
        Constant Field Values

    - #### AUTH_METHOD

          static final String AUTH_METHOD

      See Also:
        Constant Field Values

    - #### REGISTER_METHOD

          static final String REGISTER_METHOD

      See Also:
        Constant Field Values

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### REMEMBER_ME

          static final String REMEMBER_ME

      See Also:
        Constant Field Values

    - #### TOKEN_ID

          static final String TOKEN_ID

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN_ID

          static final String REFRESH_TOKEN_ID

      See Also:
        Constant Field Values

    - #### UPDATED_REFRESH_TOKEN_ID

          static final String UPDATED_REFRESH_TOKEN_ID

      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.